# Class LCommandGlobalCaptionOrderUpper

java.lang.Object
com.io7m.laurel.filemodel.internal.LCommandAbstract<LCaptionID>
com.io7m.laurel.filemodel.internal.LCommandGlobalCaptionOrderUpper

All Implemented Interfaces:
  `LCommandType<LCaptionID>`

public final class LCommandGlobalCaptionOrderUpper extends LCommandAbstract<LCaptionID>
Move a global caption to an upper order.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LCommandGlobalCaptionOrderUpper()`
  Move a global caption to an upper order.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `describe()`
  `protected LCommandUndoable`
  `onExecute(LFileModel model, LDatabaseTransactionType transaction, LCaptionID thisID)`
  `protected void`
  `onRedo(LFileModel model, LDatabaseTransactionType transaction)`
  `protected void`
  `onUndo(LFileModel model, LDatabaseTransactionType transaction)`
  `static LCommandFactoryType<LCaptionID>`
  `provider()`
  Move a global caption to an upper order.
  `Properties`
  `toProperties()`

  ### Methods inherited from class LCommandAbstract

  `execute, isExecuted, redo, setExecuted, undo`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface LCommandType

  `loading, requiresCompaction, serialize`

- ## Constructor Details

  - ### LCommandGlobalCaptionOrderUpper

    public LCommandGlobalCaptionOrderUpper()
    Move a global caption to an upper order.

- ## Method Details

  - ### provider

    public static LCommandFactoryType<LCaptionID> provider()
    Move a global caption to an upper order.
    Returns:
      A command factory

  - ### onExecute

    protected LCommandUndoable onExecute(LFileModel model, LDatabaseTransactionType transaction, LCaptionID thisID)
    Specified by:
      `onExecute` in class `LCommandAbstract<LCaptionID>`

  - ### onUndo

    protected void onUndo(LFileModel model, LDatabaseTransactionType transaction)
    Specified by:
      `onUndo` in class `LCommandAbstract<LCaptionID>`

  - ### onRedo

    protected void onRedo(LFileModel model, LDatabaseTransactionType transaction)
    Specified by:
      `onRedo` in class `LCommandAbstract<LCaptionID>`

  - ### toProperties

    public Properties toProperties()
    Returns:
      The command as a set of properties

  - ### describe

    public String describe()
    Returns:
      A humanly-readable description of the operation